=== debian/changelog ===
libkode (0.0~git20241211.68f9908-1) unstable; urgency=medium

  * Initial release. (Closes: #1092284)

 -- Boyuan Yang <byang@debian.org>  Mon, 06 Jan 2025 16:28:15 -0500
