=== debian/control ===
Source: libkode
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 qt6-base-dev,
Homepage: https://github.com/cornelius/libkode
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/libkode.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/libkode
Description: C++/Qt code for C++ code generation and XML/XSD parsing
 This repository contains C++/Qt code mainly for C++ code generation and
 XML/XSD parsing. The goal of these codes to ease generation of C++ code
 from Qt based applications. The code generator is designed to support
 generating C++11 and onwards compliant code.
 .
 The code was originally part of the kode and the KDSOAP project.

Package: libkode-qt6-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
Description: ${source:Synopsis} (Qt6 development files)
 ${source:Extended-Description}
 .
 This package contains the library development files for Qt6.

Package: libkode-qt6-0
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: ${source:Synopsis} (Qt6 shared library)
 ${source:Extended-Description}
 .
 This package contains the shared library files for Qt6.
