=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: libkode
 Section: kde
-Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
