=== debian/watch ===
Version: 5

Source: https://github.com/cornelius/libkode
Matching-Pattern: HEAD
Mode: git
Pgpmode: none
